package com.bonus.canteen.core.supermarket.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class MqSupermarketInfoVO {
   @ApiModelProperty("超市id")
   private Long supermarketId;
   @ApiModelProperty("超市名称")
   private String supermarketName;
   @ApiModelProperty("线上超市模式(1.现货2.预定)")
   private Integer appSaleMode;
   @ApiModelProperty("电话")
   private String mobile;
   @ApiModelProperty("地址")
   private String address;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("超市图片")
   private String imgUrl;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public String getSupermarketName() {
      return this.supermarketName;
   }

   public Integer getAppSaleMode() {
      return this.appSaleMode;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getAddress() {
      return this.address;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public void setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setSupermarketName(final String supermarketName) {
      this.supermarketName = supermarketName;
   }

   public void setAppSaleMode(final Integer appSaleMode) {
      this.appSaleMode = appSaleMode;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

}
